> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Create Change in workspace

POST https://{tenant}.atomicwork.com/api/v1/change-management/changes
Content-Type: application/json

Reference: https://developer-test.atomicwork.com/api-reference/atomicwork-public-api/change-management/postapi-v-1-change-management-changes

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/change-management/changes:
    post:
      operationId: postapi-v-1-change-management-changes
      summary: Create Change in workspace
      tags:
        - subpackage_changeManagement
      parameters:
        - name: problem_display_id
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Change
                  Management_postapi_v1_change_management_changes_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                created_by:
                  type: integer
                  format: int64
                requester:
                  type: integer
                  format: int64
                owner:
                  type: integer
                  format: int64
                agent_group:
                  type: integer
                  format: int64
                assignee:
                  type: integer
                  format: int64
                change_type:
                  type: string
                change_template:
                  type: integer
                  format: int64
                change_start_date:
                  type: string
                  format: date-time
                change_completion_date:
                  type: string
                  format: date-time
                planned_change_start_date:
                  type: string
                  format: date-time
                planned_change_completion_date:
                  type: string
                  format: date-time
                actual_change_start_date:
                  type: string
                  format: date-time
                actual_change_completion_date:
                  type: string
                  format: date-time
                subject:
                  type: string
                priority:
                  type: string
                status:
                  type: string
                impact:
                  type: string
                urgency:
                  type: string
                parent_change_id:
                  type: integer
                  format: int64
                parent_display_id:
                  type: string
                  description: Formatted display ID of the parent (e.g. CHG-5 or REQ-123)
                parent_request_type:
                  type: string
                  description: Entity type of the parent (CHANGE or REQUEST)
                description:
                  type: string
                attachments:
                  type: array
                  items:
                    type: integer
                    format: int64
                tags:
                  type: array
                  items:
                    type: integer
                    format: int64
                workspace_id:
                  type: integer
                  format: int64
                assets:
                  type: array
                  items:
                    type: integer
                    format: int64
                linked_requests:
                  type: array
                  items:
                    type: string
                custom_fields:
                  $ref: >-
                    #/components/schemas/ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaCustomFields
                template_fields:
                  $ref: >-
                    #/components/schemas/ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaTemplateFields
                created_at:
                  type: string
                  format: date-time
                updated_at:
                  type: string
                  format: date-time
                external_id:
                  type: string
                external_source:
                  $ref: >-
                    #/components/schemas/ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSource
                external_system_entity_reference:
                  $ref: >-
                    #/components/schemas/ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference
              required:
                - change_template
                - subject
servers:
  - url: https://{tenant}.atomicwork.com
    description: Your Atomicwork tenant
components:
  schemas:
    ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaCustomFields:
      type: object
      properties: {}
      title: >-
        ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaCustomFields
    ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaTemplateFields:
      type: object
      properties: {}
      title: >-
        ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaTemplateFields
    ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSource:
      type: string
      enum:
        - SAAS_GENIE
        - SNOW
        - JSM_BRIDGE
      title: >-
        ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSource
    ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference0:
      type: object
      properties:
        type:
          type: string
        project_id:
          type: string
        build_id:
          type: string
        organization_id:
          type: string
        correlation_id:
          type: string
        organization_url:
          type: string
      required:
        - type
      title: >-
        ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference0
    ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference1:
      type: object
      properties:
        type:
          type: string
        project_id:
          type: string
        release_id:
          type: string
        organization_id:
          type: string
        correlation_id:
          type: string
        organization_url:
          type: string
      required:
        - type
      title: >-
        ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference1
    ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference2:
      type: object
      properties:
        type:
          type: string
        issue_id:
          type: string
      required:
        - type
      title: >-
        ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference2
    ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference:
      oneOf:
        - $ref: >-
            #/components/schemas/ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference0
        - $ref: >-
            #/components/schemas/ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference1
        - $ref: >-
            #/components/schemas/ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference2
      title: >-
        ApiV1ChangeManagementChangesPostRequestBodyContentApplicationJsonSchemaExternalSystemEntityReference
    Change Management_postapi_v1_change_management_changes_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Change Management_postapi_v1_change_management_changes_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## Examples



**Request**

```json
{
  "change_template": 15,
  "subject": "Upgrade network firewall to latest firmware",
  "created_by": 1024,
  "requester": 2048,
  "owner": 3072,
  "agent_group": 512,
  "assignee": 4096,
  "change_type": "Standard",
  "change_start_date": "2024-07-01T09:00:00Z",
  "change_completion_date": "2024-07-01T17:00:00Z",
  "planned_change_start_date": "2024-07-01T08:30:00Z",
  "planned_change_completion_date": "2024-07-01T18:00:00Z",
  "actual_change_start_date": "2024-07-01T09:15:00Z",
  "actual_change_completion_date": "2024-07-01T16:45:00Z",
  "priority": "High"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/change-management/changes"

payload = {
    "change_template": 15,
    "subject": "Upgrade network firewall to latest firmware",
    "created_by": 1024,
    "requester": 2048,
    "owner": 3072,
    "agent_group": 512,
    "assignee": 4096,
    "change_type": "Standard",
    "change_start_date": "2024-07-01T09:00:00Z",
    "change_completion_date": "2024-07-01T17:00:00Z",
    "planned_change_start_date": "2024-07-01T08:30:00Z",
    "planned_change_completion_date": "2024-07-01T18:00:00Z",
    "actual_change_start_date": "2024-07-01T09:15:00Z",
    "actual_change_completion_date": "2024-07-01T16:45:00Z",
    "priority": "High"
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/change-management/changes';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"change_template":15,"subject":"Upgrade network firewall to latest firmware","created_by":1024,"requester":2048,"owner":3072,"agent_group":512,"assignee":4096,"change_type":"Standard","change_start_date":"2024-07-01T09:00:00Z","change_completion_date":"2024-07-01T17:00:00Z","planned_change_start_date":"2024-07-01T08:30:00Z","planned_change_completion_date":"2024-07-01T18:00:00Z","actual_change_start_date":"2024-07-01T09:15:00Z","actual_change_completion_date":"2024-07-01T16:45:00Z","priority":"High"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/change-management/changes"

	payload := strings.NewReader("{\n  \"change_template\": 15,\n  \"subject\": \"Upgrade network firewall to latest firmware\",\n  \"created_by\": 1024,\n  \"requester\": 2048,\n  \"owner\": 3072,\n  \"agent_group\": 512,\n  \"assignee\": 4096,\n  \"change_type\": \"Standard\",\n  \"change_start_date\": \"2024-07-01T09:00:00Z\",\n  \"change_completion_date\": \"2024-07-01T17:00:00Z\",\n  \"planned_change_start_date\": \"2024-07-01T08:30:00Z\",\n  \"planned_change_completion_date\": \"2024-07-01T18:00:00Z\",\n  \"actual_change_start_date\": \"2024-07-01T09:15:00Z\",\n  \"actual_change_completion_date\": \"2024-07-01T16:45:00Z\",\n  \"priority\": \"High\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/change-management/changes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"change_template\": 15,\n  \"subject\": \"Upgrade network firewall to latest firmware\",\n  \"created_by\": 1024,\n  \"requester\": 2048,\n  \"owner\": 3072,\n  \"agent_group\": 512,\n  \"assignee\": 4096,\n  \"change_type\": \"Standard\",\n  \"change_start_date\": \"2024-07-01T09:00:00Z\",\n  \"change_completion_date\": \"2024-07-01T17:00:00Z\",\n  \"planned_change_start_date\": \"2024-07-01T08:30:00Z\",\n  \"planned_change_completion_date\": \"2024-07-01T18:00:00Z\",\n  \"actual_change_start_date\": \"2024-07-01T09:15:00Z\",\n  \"actual_change_completion_date\": \"2024-07-01T16:45:00Z\",\n  \"priority\": \"High\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/change-management/changes")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"change_template\": 15,\n  \"subject\": \"Upgrade network firewall to latest firmware\",\n  \"created_by\": 1024,\n  \"requester\": 2048,\n  \"owner\": 3072,\n  \"agent_group\": 512,\n  \"assignee\": 4096,\n  \"change_type\": \"Standard\",\n  \"change_start_date\": \"2024-07-01T09:00:00Z\",\n  \"change_completion_date\": \"2024-07-01T17:00:00Z\",\n  \"planned_change_start_date\": \"2024-07-01T08:30:00Z\",\n  \"planned_change_completion_date\": \"2024-07-01T18:00:00Z\",\n  \"actual_change_start_date\": \"2024-07-01T09:15:00Z\",\n  \"actual_change_completion_date\": \"2024-07-01T16:45:00Z\",\n  \"priority\": \"High\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/change-management/changes', [
  'body' => '{
  "change_template": 15,
  "subject": "Upgrade network firewall to latest firmware",
  "created_by": 1024,
  "requester": 2048,
  "owner": 3072,
  "agent_group": 512,
  "assignee": 4096,
  "change_type": "Standard",
  "change_start_date": "2024-07-01T09:00:00Z",
  "change_completion_date": "2024-07-01T17:00:00Z",
  "planned_change_start_date": "2024-07-01T08:30:00Z",
  "planned_change_completion_date": "2024-07-01T18:00:00Z",
  "actual_change_start_date": "2024-07-01T09:15:00Z",
  "actual_change_completion_date": "2024-07-01T16:45:00Z",
  "priority": "High"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/change-management/changes");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"change_template\": 15,\n  \"subject\": \"Upgrade network firewall to latest firmware\",\n  \"created_by\": 1024,\n  \"requester\": 2048,\n  \"owner\": 3072,\n  \"agent_group\": 512,\n  \"assignee\": 4096,\n  \"change_type\": \"Standard\",\n  \"change_start_date\": \"2024-07-01T09:00:00Z\",\n  \"change_completion_date\": \"2024-07-01T17:00:00Z\",\n  \"planned_change_start_date\": \"2024-07-01T08:30:00Z\",\n  \"planned_change_completion_date\": \"2024-07-01T18:00:00Z\",\n  \"actual_change_start_date\": \"2024-07-01T09:15:00Z\",\n  \"actual_change_completion_date\": \"2024-07-01T16:45:00Z\",\n  \"priority\": \"High\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "change_template": 15,
  "subject": "Upgrade network firewall to latest firmware",
  "created_by": 1024,
  "requester": 2048,
  "owner": 3072,
  "agent_group": 512,
  "assignee": 4096,
  "change_type": "Standard",
  "change_start_date": "2024-07-01T09:00:00Z",
  "change_completion_date": "2024-07-01T17:00:00Z",
  "planned_change_start_date": "2024-07-01T08:30:00Z",
  "planned_change_completion_date": "2024-07-01T18:00:00Z",
  "actual_change_start_date": "2024-07-01T09:15:00Z",
  "actual_change_completion_date": "2024-07-01T16:45:00Z",
  "priority": "High"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/change-management/changes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```